Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
waap_policy_override = client.waap.domains.policy_overrides.get(
policy_override_id=1,
domain_id=1,
)
print(waap_policy_override.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
waapPolicyOverride, err := client.Waap.Domains.PolicyOverrides.Get(
context.TODO(),
1,
waap.DomainPolicyOverrideGetParams{
DomainID: 1,
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", waapPolicyOverride.ID)
}
curl --request GET \
--url https://api.gcore.com/waap/v1/domains/{domain_id}/default-rule-overrides/{policy_override_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/domains/{domain_id}/default-rule-overrides/{policy_override_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/waap/v1/domains/{domain_id}/default-rule-overrides/{policy_override_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/waap/v1/domains/{domain_id}/default-rule-overrides/{policy_override_id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/waap/v1/domains/{domain_id}/default-rule-overrides/{policy_override_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"domain_id": 123,
"name": "<string>",
"target_type": "detector",
"targets": [
{
"id": 123,
"ref": "<string>",
"snapshot": {
"name": "<string>",
"category": "<string>",
"action": "<string>",
"attack_type": "<string>"
},
"detector_id": 123,
"rule_id": 123
}
],
"conditions": [
{
"ip": {
"ip_address": "<string>",
"negation": false
},
"ip_range": {
"lower_bound": "<string>",
"upper_bound": "<string>",
"negation": false
},
"country": {
"country_code": "CN",
"negation": false
},
"organization": {
"organization": "UptimeRobot s.r.o",
"negation": false
},
"header": {
"header": "Origin",
"value": "<string>",
"negation": false,
"match_type": "Contains"
},
"header_exists": {
"header": "Origin",
"negation": false
},
"user_agent": {
"user_agent": "curl/",
"negation": false,
"match_type": "Contains"
},
"url": {
"url": "/wp-admin/",
"negation": false,
"match_type": "Contains"
},
"http_method": {
"http_method": "CONNECT",
"negation": false
},
"ja3": {
"ja3_fingerprints": [
"e7d705a3286e19ea42f587b344ee6865"
],
"negation": false
},
"ja4": {
"ja4_fingerprints": [
"t13d3113h2_e8f1e7e78f70_ce5650b735ce"
],
"negation": false
}
}
],
"enabled": true,
"stale": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Policy Overrides
Retrieve a policy override
GET
/
waap
/
v1
/
domains
/
{domain_id}
/
default-rule-overrides
/
{policy_override_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
waap_policy_override = client.waap.domains.policy_overrides.get(
policy_override_id=1,
domain_id=1,
)
print(waap_policy_override.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
waapPolicyOverride, err := client.Waap.Domains.PolicyOverrides.Get(
context.TODO(),
1,
waap.DomainPolicyOverrideGetParams{
DomainID: 1,
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", waapPolicyOverride.ID)
}
curl --request GET \
--url https://api.gcore.com/waap/v1/domains/{domain_id}/default-rule-overrides/{policy_override_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/domains/{domain_id}/default-rule-overrides/{policy_override_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/waap/v1/domains/{domain_id}/default-rule-overrides/{policy_override_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/waap/v1/domains/{domain_id}/default-rule-overrides/{policy_override_id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/waap/v1/domains/{domain_id}/default-rule-overrides/{policy_override_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"domain_id": 123,
"name": "<string>",
"target_type": "detector",
"targets": [
{
"id": 123,
"ref": "<string>",
"snapshot": {
"name": "<string>",
"category": "<string>",
"action": "<string>",
"attack_type": "<string>"
},
"detector_id": 123,
"rule_id": 123
}
],
"conditions": [
{
"ip": {
"ip_address": "<string>",
"negation": false
},
"ip_range": {
"lower_bound": "<string>",
"upper_bound": "<string>",
"negation": false
},
"country": {
"country_code": "CN",
"negation": false
},
"organization": {
"organization": "UptimeRobot s.r.o",
"negation": false
},
"header": {
"header": "Origin",
"value": "<string>",
"negation": false,
"match_type": "Contains"
},
"header_exists": {
"header": "Origin",
"negation": false
},
"user_agent": {
"user_agent": "curl/",
"negation": false,
"match_type": "Contains"
},
"url": {
"url": "/wp-admin/",
"negation": false,
"match_type": "Contains"
},
"http_method": {
"http_method": "CONNECT",
"negation": false
},
"ja3": {
"ja3_fingerprints": [
"e7d705a3286e19ea42f587b344ee6865"
],
"negation": false
},
"ja4": {
"ja4_fingerprints": [
"t13d3113h2_e8f1e7e78f70_ce5650b735ce"
],
"negation": false
}
}
],
"enabled": true,
"stale": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Authorizations
Path Parameters
Response
Successful Response
Was this page helpful?